Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#8951 - ttf-arphic-ukai, ttf-arphic-uming seems duplicate with ttf-fireflysung

Attached to Project: Arch Linux
Opened by Daniel YC Lin (dlin) - Monday, 17 December 2007, 05:49 GMT
Last edited by Eric Belanger (Snowman) - Saturday, 21 March 2009, 22:09 GMT
Task Type Support Request
Category Packages: Extra
Status Closed
Assigned To Aaron Griffin (phrakture)
Architecture All
Severity Low
Priority Normal
Reported Version 2007.08-2
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description: ttf-arphic-ukai, ttf-arphic-uming seems duplicate with ttf-fireflysung

I suggess to remove the ttf-archic-*, because the firefly's version keep maintained.

By the way, could change the ttf-fireflysung 's descrition to
"firefly embedded (truetype) bitmap font (Chinese)"

Additional info:
* package version(s)
* config and/or log files etc.

Steps to reproduce:
This task depends upon

Closed by  Eric Belanger (Snowman)
Saturday, 21 March 2009, 22:09 GMT
Reason for closing:  Not a bug
Additional comments about closing:  see my comments.
Comment by Eric Belanger (Snowman) - Wednesday, 25 February 2009, 16:29 GMT
Both ttf-arphic-ukai and ttf-arphic-uming are out-of-date. Should I update them or just remove them? All three packages have similar usage stats. I'm not confortable in removing them without being sure if ttf-fireflysung is a correct replacement. Perhaps they will be better than ttf-fireflysung once they're updated. It seems that Debian is using arphic instead of fireflysung.
Comment by Aaron Griffin (phrakture) - Wednesday, 25 February 2009, 17:01 GMT
Hmmm - that's a tough one. I wish we could get more people that use these fonts to comment
Comment by Eric Belanger (Snowman) - Wednesday, 25 February 2009, 18:25 GMT
It seems that Debian/Ubuntu are developping arphic, at least they host the source. We could just keep them and update them, that might be the simplest solution. On a related note, the scim-related packages are also out-of-date. I could update everything (scim and arphic) and push it to testing then ask around for testers.
Comment by Eric Belanger (Snowman) - Saturday, 28 February 2009, 04:07 GMT
I've put updated ttf-arphic-ukai and ttf-arphic-uming in testing. It seems that they now include the firefly fonts so ttf-fireflysung might be no longer needed. See http://www.archlinux.org/pipermail/arch-general/2009-February/003805.html for more details.
Comment by Eric Belanger (Snowman) - Monday, 16 March 2009, 19:55 GMT
ttf-arphic-ukai and ttf-arphic-uming are now in extra. As no-one using these fonts confirmed that ttf-fireflysung is in fact no longer needed, I suggest keeping all three of them and closing this bug report. BTW, ttf-fireflysung is in the list of packages with missing license so it will be updated/fixed as appropriate. After then, it should be good for a while as I don't think there's much developpement going on with it. It won't hurt keeping ttf-fireflysung in the repo as all these fonts are orphans anyway.

Loading...